跳至內容

Kandinsky5 Pro · Text to Video

整合

模型 id kandinsky5-pro/text-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/kandinsky5-pro/text-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

此請求: $0.20 200 API 點數 · ≈ ₽21.46 在此頁面執行

取得 API 金鑰
Sber AI 文字轉影片 最高 1024P

Kandinsky 5 Pro 文字轉影片,支援 512P 或 1024P,以及 3:2、1:1 或 2:3 長寬比

Sber AI · 影片

您的第一個結果會顯示在這裡

在下方建立請求,並使用您的 API 金鑰執行。輸出會複製到我們的儲存空間,可永久保留或免費保留 7 天。

建立請求

控制項是根據模型結構描述生成的。變更設定時,程式碼和價格會同步更新。

•必填

引導影片生成的文字指示。

resolution 預設 512P

影片解析度:選擇 512p 或 1024p。

aspect_ratio 預設 3:2

輸出影片的長寬比:選擇 3:2、1:1 或 2:3。

預設 5s

生成中影片的持續時間。

進階 acceleration · num_inference_steps · seed · enable_safety_checker
acceleration 預設 regular

用於提高速度的生成加速等級。

預設 28

推論所使用的步驟數量。

生成用的種子;除非提供值,否則會隨機選取。

POST /run/kandinsky5-pro/text-to-video?wait=20 報價 → $0.20
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/kandinsky5-pro/text-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

執行此請求

您的金鑰會保留在此瀏覽器中:只會傳送至 Doitong API,且只有在勾選「記住」時才會儲存至 localStorage。 取得 API 金鑰

關於 Kandinsky5 Pro · Text to Video

使用 Pro 模型根據文字 `prompt` 產生影片。選擇 `resolution` 512P 或 1024P,以及 `aspect_ratio` 3:2、1:1 或 2:3。`duration` 預設為 5s,`num_inference_steps` 最高為 50(預設 28),`acceleration` 可為 none 或 regular。`seed` 可選。

參數

名稱類型 預設值允許值 說明
prompt必填
類型string
引導影片生成的文字指示。
resolution選填
類型enum
預設值512P
512P1024P
影片解析度:選擇 512p 或 1024p。
aspect_ratio選填
類型enum
預設值3:2
3:21:12:3
輸出影片的長寬比:選擇 3:2、1:1 或 2:3。
duration選填
類型string
預設值5s
生成中影片的持續時間。
num_inference_steps選填
類型integer
預設值28
1 – 50
推論所使用的步驟數量。
acceleration選填
類型enum
預設值regular
noneregular
用於提高速度的生成加速等級。
seed選填
類型integer | null
生成用的種子;除非提供值,否則會隨機選取。
enable_safety_checker選填
類型boolean
預設值true
在呼叫端獲得授權的情況下,將此值設為 false 可放寬審核。
必填

輸出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "kandinsky5-pro/text-to-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 200,
    "usd": "0.20",
    "charged": 200,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    },
    "seed": 42
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
您的檔案,由您選擇每個 outputs[].url 都是儲存空間中的副本:可永久保留(按 GB-月計費),或免費保留 7 天;可透過帳戶設定或 ?storage= 設定。
所有模型使用相同結構圖片、影片和音訊皆包含 type、url、content_type、width、height 和 duration。output 是模型自己的結果物件。
輸出欄位
video
object {url, content_type, file_name, file_size} | null生成產生的影片檔案。
seed
integer生成期間套用的種子值。

更多模型:文字轉影片

給 AI 代理程式:此頁面的 Markdown 位於 https://doitong.com/zh-TW/developers/models/kandinsky5-pro/text-to-video.md. 所有模型與指南: https://doitong.com/developers/llms.txt